#!/usr/local/bin/perl -w

###
#  OE.pl
#	-The OE Job Viewer used to approve a job.
#
#  Version 1.0
#
#  Example by Chris Hammers
#
#  Modified: 
#
#  Revision Notes:
#
####



use CGI;


#access database to fill list with submitted jobs (populate())
#
#when list is clicked retreive info from database and populate fields
#	if disapproved include red # sign
#
#disapprove - add value of disapproved to current jobs
#
#approve - submit job to JEF XML database and add value of approved to current jobs
#
#lookup - opens job library in a new window so OE can double check there is no similar job
#
#
#job specific fields must be populated depending on job type!! - how?

print "Content-type: text/html\n\n";
print ("<html><head><title>JEF Job Viewer</title>\n");
print ("<style type=\"text/css\">\n");
print ("body {
              margin: 0; 
              background-color: white; 
             }

      #main  { 
              margin-left: 0%; 
              background-image: url('images/ViewerBasis.jpg'); 
              
              width: 1000px; 
	      height: 700px;
             
             }

      #steps {  
              width: 1000px; float: left; height: 72px; 
	     } 

      #job  {
	      float: right; width: 1000px;  
             }

      #CORE  {
	      width: 960px; float: left; margin-left: 10px; margin-right: 10px;
	     }
      #SPECIFIC  {
	      width: 640px; float: left; margin-left: 10px; margin-right: 10px;
	     }
      #SCHEDULE  {
	      width: 300px;  float: left; margin-left: 10px; margin-right: 10px;
	     }

      #personnel {
	      float: left; width: 190px; height: 380; margin-left: 10px;
             }


      #btns {
	      float: bottom; width: 980px; margin-bottom:10px; margin-right:10px;
             }



      h3 {
         color: black; 
         width: 800px; 
         font-size: 20px; 
         margin: 0; 
      }


      h4 {
         color: #752D2D; 
         border-bottom: 1px solid #752D2D;
         width: 400px; 
         font-size: 14px; 
         margin: 0;  
         margin-top: 5px; 
      }


  </style></head>");

     
print ("<body>
<SCRIPT LANGUAGE=\"Javascript\">

function populate(){

}

function approve(){

}
  
function disapprove(){

}

function lookup(){

}

</SCRIPT>

<div id=\"main\">
<BR><BR><BR><BR><BR>

<CENTER>
<H3>Please select a job to review.  All fields below we will become filled out.</H3>
</CENTER>


<FORM>
<DIV id=\"job\">
<TABLE border=1 rules=none align=center>
<TR><TD>
<SELECT NAME=\"job\" size=3>
<OPTION>Daily Reports</OPTION>
<OPTION>FORBKIN monthly review</OPTION>
<OPTION>Monthly Reports</OPTION>
<OPTION>Cash Settlements for the past 2 years</OPTION>
<OPTION>Daily Table Check</OPTION>
<OPTION>Retreieve Weekly COOL entries</OPTION>
</SELECT>
</TD></TR>
</TABLE>
</DIV>



<DIV id=\"CORE\">
<FIELDSET>
<LEGEND>CORE INFORMATION:</LEGEND>
<BR>
<FORM>
<TABLE><TR><TD>
User:</TD><TD><INPUT TYPE=\"text\" size=20></TD>
<TD>
Department:</TD><TD><INPUT TYPE=\"text\" size=20></TD>
<TD>
Business Group:</TD><TD><INPUT TYPE=\"text\" size=20></TD></TR>
<TR><TD>
Manager:</TD><TD><INPUT TYPE=\"text\" size=20></TD>
<TD>
Contact Person:</TD><TD><INPUT TYPE=\"text\" name=\"contact\" size=20></TD>
<TD>
<TR><TD>
Job Title:</TD><TD><INPUT TYPE=\"text\" size=20></TD>
<TD>
Job Purpose/Business Problem:</TD><TD><TEXTAREA name=\"jobpurpose\" rows=5></TEXTAREA></TD></TR>
<TR><TD>
Output Data Format:</TD><TD><INPUT TYPE=\"text\" size=20></TD>
<TD>
Email?: <INPUT TYPE=\"checkbox\" disabled></TD><TD><INPUT TYPE=\"text\" name=\"contact\" size=20></TD>
<TD>
FTP?: <INPUT TYPE=\"checkbox\" disabled></TD><TD><INPUT TYPE=\"text\" name=\"contact\" size=20></TD></TR>
</TABLE>
</FORM>
</FIELDSET>
</DIV>

<DIV id=\"SPECIFIC\">
<FIELDSET>
<LEGEND>JOB SPECIFIC INFORMATION:</LEGEND>
<FORM>
<TABLE><TR><TD>
Job Type:</TD><TD><INPUT TYPE=\"text\" size=20 value=\"Commission\"disabled></TD></TR>
<TR><TD>
Commission Report:</TD><TD><INPUT TYPE=\"text\" size=20></TD></TR>
<TR><TD>
Type of Commission:</TD><TD><INPUT TYPE=\"text\" size=20></TD></TR>
<TR><TD>
Commission Location:</TD><TD><INPUT TYPE=\"text\" size=20></TD></TR>
<TR><TD>
Commission Amount:</TD><TD><INPUT TYPE=\"text\" name=\"contact\" size=20></TD></TR>
</TABLE>
</FORM>
</FIELDSET>
</DIV>

<DIV id=\"SCHEDULE\">
<FIELDSET>
<LEGEND>SCHEDULING INFORMATION:</LEGEND>
<FORM>
<TABLE><TR><TD rowspan=2>
Event Type:</TD><TD>Time<INPUT TYPE=\"checkbox\">Database Update<INPUT TYPE=\"checkbox\"></TD></TR>
<TR><TD colspan=2>
File Arrival<INPUT TYPE=\"checkbox\">File Update<INPUT TYPE=\"checkbox\">
</TD></TR>
<TR><TD>
How Often:</TD><TD><INPUT TYPE=\"text\" size=20></TD></TR>
<TR><TD>
Time:</TD><TD><INPUT TYPE=\"text\" size=20></TD></TR>
<TR><TD>
Filename:</TD><TD><INPUT TYPE=\"text\" size=20></TD></TR>
</TABLE>
</FORM>
</FIELDSET>
</DIV>





<DIV id=\"btns\">

<table align=right cellspacing=3>
<tr>
<td><INPUT type=button name=buttons value=\"Look Up\" onclick=lookup></td>
<td>    </td>
<TD><INPUT type=button name=buttons value=Disapprove onclick=disapprove()></td>
<TD><INPUT type=button name=buttons value=Approve onclick=approve()></td>
<td> </td>
</tr>
</TABLE>
</DIV>

</FORM>
</DIV>

\n");



print ("</body>
</html>\n");
